<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Louvain Algorithm: edge_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Louvain Algorithm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">edge_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="graph_8h_source.html">graph.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad3fbc02038512de616fd225f8befc1bb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structedge__t.html#ad3fbc02038512de616fd225f8befc1bb">src</a></td></tr>
<tr class="separator:ad3fbc02038512de616fd225f8befc1bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42eee37d7d68b324847ff533c9785d54"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structedge__t.html#a42eee37d7d68b324847ff533c9785d54">dest</a></td></tr>
<tr class="separator:a42eee37d7d68b324847ff533c9785d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3f62b86fd1d0ed23de0ec75ea3967e8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structedge__t.html#ac3f62b86fd1d0ed23de0ec75ea3967e8">weight</a></td></tr>
<tr class="separator:ac3f62b86fd1d0ed23de0ec75ea3967e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure that contains a pair source-destination and a weight to represent the link between these nodes. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a42eee37d7d68b324847ff533c9785d54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42eee37d7d68b324847ff533c9785d54">&#9670;&nbsp;</a></span>dest</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int edge_t::dest</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3fbc02038512de616fd225f8befc1bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3fbc02038512de616fd225f8befc1bb">&#9670;&nbsp;</a></span>src</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int edge_t::src</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3f62b86fd1d0ed23de0ec75ea3967e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3f62b86fd1d0ed23de0ec75ea3967e8">&#9670;&nbsp;</a></span>weight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int edge_t::weight</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="graph_8h_source.html">graph.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
